/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
		
		console.log(navigator.vibrate);

        app.receivedEvent('deviceready');
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
		
		myApp.startUp();
    }
};

app.initialize();

var localService;

var myApp = {
	startUp: function() {
		navigator.vibrate(300);
		
		if (window.Cocoon && Cocoon.Notification) {
			localService = Cocoon.Notification.Local;
			
			if (localService) {
				localService.on('notification', function(userData) {
					console.log(userData);
				});
				
				localService.initialize({}, function(registered) {
					localService.registered = registered;
				});
			}
		}
		
		var notification = {
                message : "Hi, I am a notification",
                soundEnabled : true,
                badgeNumber : 1,
                userData : {"key1" : "value1", "key2": "value2"},
                contentBody : "",
                contentTitle : ""
            };
		lastNotification = notification;
		localService.registered = true;
		debugger
		localService.send(notification, function(error){

			if (error) {
				console.log(error);
				alert('Error: ' + error.message);
			}

		});
	}
}